--do scripts in folder scripts

	--portalgun
	dofile(minetest.get_modpath("portalgun") .. "/scripts/portalgun.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/gravityuse.lua")
	
	--powerball
	dofile(minetest.get_modpath("portalgun") .. "/scripts/powerball.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/powerballspawner.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/powerballtarget.lua")
	
	
	--cubes
	dofile(minetest.get_modpath("portalgun") .. "/scripts/weightedstoragecube.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/cubespawners.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/pressureplatforms.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/fizzlers.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/checkpoint.lua")
	
	--misc
	dofile(minetest.get_modpath("portalgun") .. "/scripts/buildingblocks.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/warntape.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/cake.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/editingtools.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/portaltarget.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/signs.lua")
	
	--hazardous
	dofile(minetest.get_modpath("portalgun") .. "/scripts/toxicwater.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/turrets.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/camera.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/damageblock.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/objectdestroyer.lua")
	
	--logic
	dofile(minetest.get_modpath("portalgun") .. "/scripts/delayer.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/button.lua")
	dofile(minetest.get_modpath("portalgun") .. "/scripts/doors.lua")